%global srcname p1_mysql
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.0.1
Release:    1%{?dist}

Summary:    Pure Erlang MySQL driver
License:    BSD
URL:        https://github.com/processone/p1_mysql/
Source0:    https://github.com/processone/p1_mysql/archive/%{version}.tar.gz

BuildRequires: erlang-eunit
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros

Requires: erlang-erts


%description
This is an Erlang MySQL driver, used by ejabberd.


%prep
%autosetup -n p1_mysql-%{version}


%build
%rebar_compile


%check
%__rebar eunit


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/include

install -pm644 ebin/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin
install -pm644 include/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/include


%files
%license COPYING
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Wed Feb 24 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-1
- Update to 1.0.1.
- Add new upstream readme as a doc.
- Add an invocation to eunit as per the readme, despite there not yet being tests.

* Tue Feb 16 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Release version 1.0.0.
- Update to the new upstream URL and Source0.

* Thu Dec 31 2015 Randy Barlow <rbarlow@redhat.com> - 0-1.20150929gitdfa87da9
- Initial release.
